E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::LogStream Struct Reference

A non-throwing copyable wrapper for std::ostream, used by G::LogOutput and associated logging macros. More...

`#include <glogstream.h>`

Collaboration diagram for G::LogStream:
[legend]

## Public Member Functions
| LogStream (std::ostream *s) noexcept

## Public Attributes
std::ostream * | m_ostream

## Detailed Description

A non-throwing copyable wrapper for std::ostream, used by G::LogOutput and associated logging macros.

This class allows streaming to G::LogOutput to be inherently non-throwing without needing a try/catch block at every call site. The most common streaming operators are implemented out-of-line as a modest code-size optimisation.

Definition at line 37 of file glogstream.h.

## Constructor & Destructor Documentation

## ◆ LogStream()

G::LogStream::LogStream | ( | std::ostream * | s | ) |
| inline explicit noexcept

Definition at line 39 of file glogstream.h.

## Member Data Documentation

## ◆ m_ostream

std::ostream* G::LogStream::m_ostream

Definition at line 43 of file glogstream.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/glogstream.h